
Foreman - Bug #25197

Searchbar's onChange debounce is too slow.

10/14/2018 01:25 PM - Ron Lavi

Status: Closed   

Priority: Normal   

Assignee: Ron Lavi   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6137

  

Description

While typing something very quickly and pressing 'Enter',

the onChange function is not fast enough to update the current searchQuery.

Removing the debounce on the onChange will fix this problem

Associated revisions

Revision 882d4515 - 10/25/2018 11:10 AM - Ron Lavi

fixes #25197 - onChange debounce too slow

History

#1 - 10/14/2018 01:31 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6137 added

#2 - 10/25/2018 11:18 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#3 - 10/25/2018 12:01 PM - Ron Lavi

- Status changed from Ready For Testing to Closed

Applied in changeset 882d4515e47eea407d08c5d0046030ee5986615b.

#4 - 11/01/2018 09:31 AM - Tomer Brisker

- Category set to Web Interface

- Assignee set to Ron Lavi
